# Uses of Class
com.ocient.cli.extract.ExtractMetrics

Packages that use ExtractMetrics
Package
Description
com.ocient.cli.extract

## Uses of ExtractMetrics in com.ocient.cli.extract

Methods in com.ocient.cli.extract that return types with arguments of type ExtractMetrics
Modifier and Type
Method
Description
`Optional<ExtractMetrics>`
ExtractConfiguration.`getMetrics()`
Method parameters in com.ocient.cli.extract with type arguments of type ExtractMetrics
Modifier and Type
Method
Description
`void`
ExtractConfiguration.`setMetrics(Optional<ExtractMetrics> metrics)`
Constructor parameters in com.ocient.cli.extract with type arguments of type ExtractMetrics
Modifier
Constructor
Description
``
`AsyncS3OutputStream(software.amazon.awssdk.services.s3.S3AsyncClient s3Client, String bucket, String filePath, int uploadPartSize, com.ibm.asyncutil.locks.AsyncSemaphore uploadPartSemaphore, Optional<ExtractMetrics> metrics)`
``
`S3OutputStream(software.amazon.awssdk.services.s3.S3Client s3Client, String bucket, String filePath, int uploadPartSize, Optional<ExtractMetrics> metrics)`